%define version 1.5
%define prefix   /usr

Summary: Translates rpm database into HTML and RDF info
Name: rpm2html 
Version: %{version}
Release: 1_rpm%(rpm -q --queryformat '%{VERSION}' rpm-devel)_rh%{rh_release}
Group: Utilities/System
Source: ftp://rpmfind.net/pub/rpm2html/rpm2html-%{version}.tar.gz
Patch: rpm2html-dup.patch
URL: http://rpmfind.net/linux/rpm2html/
Copyright: W3C Copyright (BSD like).
BuildRoot: /tmp/rpm2html-root
Provides: rpm2html
Docdir: %{prefix}/doc
BuildPreReq: rpm-devel, libxml2-devel

%description
Rpm2html tries to solve 2 big problems one faces when
grabbing a RPM package from a mirror on the net and trying to
install it:
   - it gives more information than just the filename before
     installing the package.
   - it tries to solve the dependancy problem by analyzing all
     the Provides and Requires of the set of RPMs. It shows the
     cross references by way of hypertext links. 
Rpm2html can now dump the metadata associated with RPM packages into
standard RDF files used by the rpmfind tool for automatic queries.

%prep
%setup -q
%patch -p0 -b .dup
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/share/rpm2html
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/doc
install rpm2html $RPM_BUILD_ROOT/usr/bin
install msg.fr $RPM_BUILD_ROOT/usr/share/rpm2html
install msg.es $RPM_BUILD_ROOT/usr/share/rpm2html
install msg.de $RPM_BUILD_ROOT/usr/share/rpm2html
install msg.pl $RPM_BUILD_ROOT/usr/share/rpm2html
install msg.cz $RPM_BUILD_ROOT/usr/share/rpm2html
install rpm2html.config  $RPM_BUILD_ROOT/etc
install rpm2html.1*  $RPM_BUILD_ROOT/usr/man/man1/
install CHANGES BUGS Copyright README TODO $RPM_BUILD_ROOT/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc rpm2html.config.mirrors rpm2html-fr.config
%doc rpm2html.config.resources rpm2html-rdf.config
%dir /usr/bin
/usr/bin/rpm2html
/usr/share/rpm2html/msg.fr
/usr/share/rpm2html/msg.es
/usr/share/rpm2html/msg.de
/usr/share/rpm2html/msg.pl
/usr/share/rpm2html/msg.cz
%config /etc/rpm2html.config
%doc /usr/man/man1/rpm2html.1*

%changelog
* Thu Oct  7 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
